<ActorFrame> 
		<children>
<!-- bases and sides -->
	<Layer
		File="..\ScreenWithMenuElements underlay\_sides"
		OnCommand="ztest,1"
	/>
	<Layer
		File="..\ScreenWithMenuElements underlay\_base"
	/>
		
<!-- select button menu -->
	<Layer 
		Class="ActorFrame" 
		OnCommand="y,SCREEN_BOTTOM-17-38"> 
		<children>
	<Layer
		Type="BitmapText"
		Font="_v 26px bold white"
		Text="&START; Change Sort"
		Condition="ModeMenuAvailable()"
		OnCommand="x,SCREEN_CENTER_X;zoomx,.3;zoomy,.6;diffusealpha,0;shadowlength,2"
		EnableSelectHelpMessageCommand="stoptweening;bounceend,0.2;diffusealpha,1;zoomx,0.6"
		SelectMenuOffMessageCommand="stoptweening;linear,0.2;diffusealpha,0;zoomx,0.3"
	/>
			<ActorFrame
			OnCommand="%function(self) if ModeMenuAvailable() then self:x(SCREEN_CENTER_X-100) else self:x(SCREEN_CENTER_X-65) end end"
			><children>
			<Layer
					Type="BitmapText"
					Font="_v 26px bold black"
					Text="&MENULEFT;"
					OnCommand="addy,36;x,-5;horizalign,right;zoomx,.5;zoomy,.7;diffusealpha,0;shadowlength,0"
					EnableSelectHelpMessageCommand="stoptweening;bounceend,0.2;diffusealpha,1;zoomx,0.7"
					SelectMenuOffMessageCommand="stoptweening;linear,0.2;diffusealpha,0;zoomx,0.5"
				/>
			<Layer
					Type="BitmapText"
					Font="_v 26px bold black"
					Text="Easier"
					OnCommand="addy,36;x,0;horizalign,left;zoomx,.5;zoomy,.7;diffusealpha,0;diffuseramp;effectperiod,1;effectoffset,0.20;effectclock,bgm;EffectColor1,#FFFFFF;EffectColor2,#20D020;shadowlength,0"
					EnableSelectHelpMessageCommand="stoptweening;bounceend,0.2;diffusealpha,1;zoomx,0.7"
					SelectMenuOffMessageCommand="stoptweening;linear,0.2;diffusealpha,0;zoomx,0.5"
				/>
			</children> </ActorFrame>
			<ActorFrame
			OnCommand="%function(self) if ModeMenuAvailable() then self:x(SCREEN_CENTER_X+100) else self:x(SCREEN_CENTER_X+65) end end"
			><children>
			<Layer
					Type="BitmapText"
					Font="_v 26px bold black"
					Text="Harder"
					OnCommand="addy,36;x,0;horizalign,right;zoomx,.5;zoomy,.7;diffusealpha,0;diffuseramp;effectperiod,1;effectoffset,0.20;effectclock,bgm;EffectColor1,#FFFFFF;EffectColor2,#E06060;shadowlength,0"
					EnableSelectHelpMessageCommand="stoptweening;bounceend,0.2;diffusealpha,1;zoomx,0.7"
					SelectMenuOffMessageCommand="stoptweening;linear,0.2;diffusealpha,0;zoomx,0.5"
				/>
			<Layer
					Type="BitmapText"
					Font="_v 26px bold black"
					Text="&MENURIGHT;"
					OnCommand="addy,36;x,+15;horizalign,center;zoomx,.5;zoomy,.7;diffusealpha,0;shadowlength,0"
					EnableSelectHelpMessageCommand="stoptweening;bounceend,0.2;diffusealpha,1;zoomx,0.7"
					SelectMenuOffMessageCommand="stoptweening;linear,0.2;diffusealpha,0;zoomx,0.5"
				/>
			</children> </ActorFrame>
</children> </Layer>

<Layer		
		File="..\_coins"
/>
<Layer
		Class="Quad"
		OnCommand="stretchto,SCREEN_LEFT,SCREEN_TOP,SCREEN_RIGHT,SCREEN_BOTTOM;diffusealpha,1;diffuse,#000000;sleep,0.1;decelerate,0.5;diffusealpha,0"
	/>

		</children>
</ActorFrame>

